#include "font.h"
#include "lzr.h"
#include <stdlib.h>

void font_draw(int x, int y, const char *s, size_t n, int chaos)
{
	LZR_ImageDrawSettings stg = {
		0, 0, 8, 16, 1.0, 1.0, 0.0, false, false, false
	};
	x += 4;
	y += 8;
	stg.center = true;
	for (size_t i = 0; s[i] != '\0' && i < n; i++) {
		stg.ix = (int)(s[i] % 16) * 8;
		stg.iy = (int)(s[i] / 16) * 16;
		stg.angle = 0.0 - (chaos - (rand() % chaos)) / 2.0;
		LZR_DrawImageEx(LZR_IMAGE(font.bmp), x - chaos / 2 + rand() % chaos,
		                y - chaos / 2 + rand() % chaos, stg);
		x += 8;
	}
}
