#pragma once

enum {
	STFU_SAY,
	STFU_ASK,
};

typedef struct StfuCtx {
	const char *font;
	char who[256];
	char say[4096];
	const char *ask[3];
	int displayed;
	int state;
	int choice;
	int chaos;
} StfuCtx;

int stfu_init(void);
void stfu_deinit(void);
void who(const char *fmt, ...);
void say(const char *fmt, ...);
void show(void);
int ask(const char *c0, const char *c1, const char *c2);
void unreachable(void);
void chaos(int n);
